net.sf.jasperreports.components.table

## Class StandardColumn

- java.lang.Object
- - net.sf.jasperreports.components.table.StandardBaseColumn
  - - net.sf.jasperreports.components.table.StandardColumn

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, BaseColumn, Column, JRChangeEventsSupport, JRCloneable, JRIdentifiable, JRPropertiesHolder

      public class StandardColumn
      extends StandardBaseColumn
      implements Column

  Version:
    $Id: StandardColumn.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `PROPERTY_DETAIL`

    - ### Fields inherited from class net.sf.jasperreports.components.table.StandardBaseColumn

      `PROPERTY_COLUMN_FOOTER, PROPERTY_COLUMN_HEADER, PROPERTY_GROUP_FOOTERS, PROPERTY_GROUP_HEADERS, PROPERTY_PRINT_WHEN_EXPRESSION, PROPERTY_TABLE_FOOTER, PROPERTY_TABLE_HEADER, PROPERTY_WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StandardColumn()`
    `StandardColumn(Column column, ColumnFactory factory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()`
    `Cell` | `getDetailCell()`
    `void` | `setDetailCell(Cell detail)`
    `<R> R` | `visitColumn(ColumnVisitor<R> visitor)`

    - ### Methods inherited from class net.sf.jasperreports.components.table.StandardBaseColumn

      `addGroupFooter, addGroupHeader, addPropertyExpression, findGroupCellIndex, getColumnFooter, getColumnHeader, getEventSupport, getGroupFooter, getGroupFooters, getGroupHeader, getGroupHeaders, getParentProperties, getPrintWhenExpression, getPropertiesMap, getPropertyExpressions, getPropertyExpressionsList, getTableFooter, getTableHeader, getUUID, getWidth, hasProperties, removeGroupFooter, removeGroupHeader, removePropertyExpression, removePropertyExpression, setColumnFooter, setColumnHeader, setGroupFooter, setGroupFooters, setGroupHeader, setGroupHeaders, setPrintWhenExpression, setTableFooter, setTableHeader, setUUID, setWidth`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.components.table.BaseColumn

      `getColumnFooter, getColumnHeader, getGroupFooter, getGroupFooters, getGroupHeader, getGroupHeaders, getPrintWhenExpression, getPropertyExpressions, getTableFooter, getTableHeader, getWidth`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRPropertiesHolder

      `getParentProperties, getPropertiesMap, hasProperties`

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRIdentifiable

      `getUUID`

- - ### Field Detail

    - #### PROPERTY_DETAIL

          public static final java.lang.String PROPERTY_DETAIL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### StandardColumn

          public StandardColumn()

    - #### StandardColumn

          public StandardColumn(Column column,
                        ColumnFactory factory)

  - ### Method Detail

    - #### getDetailCell

          public Cell getDetailCell()

      Specified by:
        `getDetailCell` in interface `Column`

    - #### setDetailCell

          public void setDetailCell(Cell detail)

    - #### visitColumn

          public <R> R visitColumn(ColumnVisitor<R> visitor)

      Specified by:
        `visitColumn` in interface `BaseColumn`

    - #### clone

          public java.lang.Object clone()

      Specified by:
        `clone` in interface `JRCloneable`
      Overrides:
        `clone` in class `StandardBaseColumn`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com